ru.bitel.bgbilling.modules.inet.access.event

## Class InetServDeviceStateAndOptionsModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.modules.inet.access.event.InetServDeviceStateAndOptionsModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetServDeviceStateAndOptionsModifiedEvent
      extends Event

  Событие о том, что текущее состояние сервиса на устройстве изменилось и зафиксировано в БД.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetServDeviceStateAndOptionsModifiedEvent()`
    `` | `InetServDeviceStateAndOptionsModifiedEvent(InetServDeviceStateAndOptionsModifyEvent modify)`
    `` | `InetServDeviceStateAndOptionsModifiedEvent(int moduleId, int deviceId, int contractId, int inetServId, short state, java.util.Set<java.lang.Integer> optionSet)`
    `` | `InetServDeviceStateAndOptionsModifiedEvent(int moduleId, int deviceId, int inetContractServId, short state, java.util.Set<java.lang.Integer> optionSet)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDeviceId()`
    `java.util.Set<java.lang.Integer>` | `getDeviceOptions()`
    `short` | `getDeviceState()`
    `int` | `getServId()`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetServDeviceStateAndOptionsModifiedEvent

          protected InetServDeviceStateAndOptionsModifiedEvent()

    - #### InetServDeviceStateAndOptionsModifiedEvent

          public InetServDeviceStateAndOptionsModifiedEvent(InetServDeviceStateAndOptionsModifyEvent modify)

    - #### InetServDeviceStateAndOptionsModifiedEvent

          @Deprecated
          public InetServDeviceStateAndOptionsModifiedEvent(int moduleId,
                                                                        int deviceId,
                                                                        int inetContractServId,
                                                                        short state,
                                                                        java.util.Set<java.lang.Integer> optionSet)

      Deprecated.

    - #### InetServDeviceStateAndOptionsModifiedEvent

          public InetServDeviceStateAndOptionsModifiedEvent(int moduleId,
                                                            int deviceId,
                                                            int contractId,
                                                            int inetServId,
                                                            short state,
                                                            java.util.Set<java.lang.Integer> optionSet)

  - ### Method Detail

    - #### getDeviceId

          public int getDeviceId()

    - #### getServId

          public int getServId()

    - #### getDeviceState

          public short getDeviceState()

    - #### getDeviceOptions

          public java.util.Set<java.lang.Integer> getDeviceOptions()

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`